Bug 114069 - Anaconda seems to hang using kickstart on low memory machines
Anaconda seems to hang using kickstart on low memory machines
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-22 02:54 EST by Johan De Wit
Modified: 2007-04-18 13:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:13:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff file partitioning.py (46 bytes, patch)
2004-01-22 02:59 EST, Johan De Wit
no flags Details | Diff

  None (edit)
Description Johan De Wit 2004-01-22 02:54:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.2.1)
Gecko/20030711

Description of problem:
kikckstart seems to hang onm low memory machines.  On console <F3>,
one sees the line Using file <snip>RedHat/bas/comps.xml.

When installing from the network, there is still a lot of
networktraffic, and even on the console there is still activity on
<F2> if waiting long enough (eg one hour for executing the free command).

This is caused due to missing swap space, which is not mounted
automatically after disk formatting.




Version-Release number of selected component (if applicable):
anaconda-9.0

How reproducible:
Always

Steps to Reproduce:
1.On machines with low memory, install using kickstart
2.
3.
    

Actual Results:  System seems to hang

Expected Results:  After  hard diwsk formatting, the swap space should
be mounted, which solves the problem.

Additional info:

Modify the /RedHat/base/stage2.img 

Patching the second stage installation image

#losetup /dev/loop0 stage2.img
#mount /dev/loop0 /mnt/loop0
#mkdir /var/tmp/newimg
#cd /var/tmp/newimg
#cp -a /mnt/loop0/* /var/tmp/newimg
#vi /var/tmp/newimg/usr/lib/anaconda/partitioning.py
 and modify line 121 from "rc = 0 " to "rc = 1"
#mkfs.cramfs mkcramfs /var/tmp/newimg
/var/tmp/stage2.img/var/tmp/stage2.img 
#umount /mnt/loop0
#losetup -d /dev/loop0
#cp /var/tmp/newimg /<whatever>/RedHat/base/stage2.img

and do a reinstallation.

(BTW. The error about hard link during the cp process can be ignored)
Comment 1 Johan De Wit 2004-01-22 02:59:00 EST
Created attachment 97155 [details]
diff file partitioning.py

It seems anaconda does support low memory machines!  Since older machines are
used frequently for eg routers/gateway/low traffic servers This patch should be
applied.

I don't now if this patch should also used in the other images, since I only
tested the stage2.img.
Comment 2 Johan De Wit 2004-01-22 03:01:15 EST
See also bug#99520
Comment 3 Jeremy Katz 2004-01-22 12:08:55 EST
Committed
Comment 4 Jeremy Katz 2006-04-24 14:13:03 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.